Package com.collabnet.ce.soap60.webservices.page

# Class PageComponent2SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
com.collabnet.ce.soap60.webservices.page.PageComponent2SoapDO

public class PageComponent2SoapDO extends ItemSoapDO
This class represents a component in a page.
Change History
Release: 7.0

- Class Introduced. Newer version of PageComponentSoapDO. Added readOnlyTextSource property

Since:
  7.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMPONENT_TYPE_DOCUMENTS`
  Possible value for the component type field for documents.
  `static final String`
  `COMPONENT_TYPE_GRAPH`
  Possible value for the component type field for graphs.
  `static final String`
  `COMPONENT_TYPE_LIFECYCLE_METRICS`
  Possible value for the component type field for lifecycle metrics.
  `static final String`
  `COMPONENT_TYPE_NEWS`
  Possible value for the component type field for news.
  `static final String`
  `COMPONENT_TYPE_SUBPROJECTS`
  Possible value for the component type field for subprojects.
  `static final String`
  `COMPONENT_TYPE_TEXT`
  Possible value for the component type field for text/html.
  `static final String`
  `COMPONENT_TYPE_TRACKER`
  Possible value for the component type field for tracker.
  `static final String`
  `COMPONENT_TYPE_WIKI`
  Possible value for the component type field for wiki.
  `static final String`
  `DOCUMENT_FOLDER_NAME`
  Possible value for the document folder name attribute.
  `static final String`
  `NUM_SUBPROJECTS`
  Possible value for number of subprojects to display.
  `static final String`
  `NUM_TRACKER_SEARCHES`
  Possible value for number of tracker searches to display.
  `static final String`
  `TRACKER_SEARCH_IDS`
  Possible value for tracker search ids attribute.
  `static final String`
  `WIKI_TOPIC`
  Possible value for wiki topic attribute.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageComponent2SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentType()`
  Returns 'componentType'.
  `String`
  `getReadOnlyTextSource()`
  Returns 'readOnlyTextSource'.
  `SoapNamedValues`
  `getSettings()`
  Returns 'settings'.
  `int`
  `getVisiblity()`
  Returns 'visiblity'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setComponentType(String componentType)`
  Sets 'componentType'.
  `void`
  `setReadOnlyTextSource(String readOnlyTextSource)`
  Sets 'readOnlyTextSource'.
  `void`
  `setSettings(SoapNamedValues settings)`
  Sets 'settings'.
  `void`
  `setVisiblity(int visiblity)`
  Sets 'visiblity'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMPONENT_TYPE_DOCUMENTS

    public static final String COMPONENT_TYPE_DOCUMENTS
    Possible value for the component type field for documents.
    See Also:
      - Constant Field Values

  - ### COMPONENT_TYPE_GRAPH

    public static final String COMPONENT_TYPE_GRAPH
    Possible value for the component type field for graphs.
    See Also:
      - Constant Field Values

  - ### COMPONENT_TYPE_TEXT

    public static final String COMPONENT_TYPE_TEXT
    Possible value for the component type field for text/html.
    See Also:
      - Constant Field Values

  - ### COMPONENT_TYPE_LIFECYCLE_METRICS

    public static final String COMPONENT_TYPE_LIFECYCLE_METRICS
    Possible value for the component type field for lifecycle metrics.
    See Also:
      - Constant Field Values

  - ### COMPONENT_TYPE_NEWS

    public static final String COMPONENT_TYPE_NEWS
    Possible value for the component type field for news.
    See Also:
      - Constant Field Values

  - ### COMPONENT_TYPE_TRACKER

    public static final String COMPONENT_TYPE_TRACKER
    Possible value for the component type field for tracker.
    See Also:
      - Constant Field Values

  - ### COMPONENT_TYPE_WIKI

    public static final String COMPONENT_TYPE_WIKI
    Possible value for the component type field for wiki.
    See Also:
      - Constant Field Values

  - ### COMPONENT_TYPE_SUBPROJECTS

    public static final String COMPONENT_TYPE_SUBPROJECTS
    Possible value for the component type field for subprojects.
    See Also:
      - Constant Field Values

  - ### DOCUMENT_FOLDER_NAME

    public static final String DOCUMENT_FOLDER_NAME
    Possible value for the document folder name attribute.
    See Also:
      - Constant Field Values

  - ### TRACKER_SEARCH_IDS

    public static final String TRACKER_SEARCH_IDS
    Possible value for tracker search ids attribute.
    See Also:
      - Constant Field Values

  - ### NUM_TRACKER_SEARCHES

    public static final String NUM_TRACKER_SEARCHES
    Possible value for number of tracker searches to display.
    See Also:
      - Constant Field Values

  - ### WIKI_TOPIC

    public static final String WIKI_TOPIC
    Possible value for wiki topic attribute.
    See Also:
      - Constant Field Values

  - ### NUM_SUBPROJECTS

    public static final String NUM_SUBPROJECTS
    Possible value for number of subprojects to display.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageComponent2SoapDO

    public PageComponent2SoapDO()

- ## Method Details

  - ### getComponentType

    public String getComponentType()
    Returns 'componentType'. Type of this component.
    Returns:
      Value of 'componentType'.

  - ### setComponentType

    public void setComponentType(String componentType)
    Sets 'componentType'. Type of this component.
    Parameters:
      `componentType` - Value of 'componentType'.

  - ### getVisiblity

    public int getVisiblity()
    Returns 'visiblity'. Indicates whether this component is visible in the page.
    Returns:
      Value of 'visiblity'.

  - ### setVisiblity

    public void setVisiblity(int visiblity)
    Sets 'visiblity'. Indicates whether this component is visible in the page.
    Parameters:
      `visiblity` - Value of 'visiblity'.

  - ### getSettings

    public SoapNamedValues getSettings()
    Returns 'settings'. Component settings.
    Returns:
      Value of 'settings'.

  - ### setSettings

    public void setSettings(SoapNamedValues settings)
    Sets 'settings'. Component settings.
    Parameters:
      `settings` - Value of 'settings'.

  - ### getReadOnlyTextSource

    public String getReadOnlyTextSource()
    Returns 'readOnlyTextSource'.
    Returns:
      Value of 'readOnlyTextSource'.

  - ### setReadOnlyTextSource

    public void setReadOnlyTextSource(String readOnlyTextSource)
    Sets 'readOnlyTextSource'.
    Parameters:
      `readOnlyTextSource` - Value of 'readOnlyTextSource'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)